Changeset 921


Ignore:
Timestamp:
Feb 1, 2007 12:36:52 AM (17 years ago)
Author:
bennylp
Message:

Ticket #83: updated autoconf script to detect netinet/ip.h header (for TOS stuffs)

File:
1 edited

Legend:

Unmodified
Added
Removed
  • pjproject/trunk/aconfigure

    r910 r921  
    53975397  cat >>confdefs.h <<\_ACEOF 
    53985398#define PJ_HAS_NETINET_IN_H 1 
     5399_ACEOF 
     5400 
     5401fi 
     5402 
     5403 
     5404if test "${ac_cv_header_netinet_ip_h+set}" = set; then 
     5405  echo "$as_me:$LINENO: checking for netinet/ip.h" >&5 
     5406echo $ECHO_N "checking for netinet/ip.h... $ECHO_C" >&6 
     5407if test "${ac_cv_header_netinet_ip_h+set}" = set; then 
     5408  echo $ECHO_N "(cached) $ECHO_C" >&6 
     5409fi 
     5410echo "$as_me:$LINENO: result: $ac_cv_header_netinet_ip_h" >&5 
     5411echo "${ECHO_T}$ac_cv_header_netinet_ip_h" >&6 
     5412else 
     5413  # Is the header compilable? 
     5414echo "$as_me:$LINENO: checking netinet/ip.h usability" >&5 
     5415echo $ECHO_N "checking netinet/ip.h usability... $ECHO_C" >&6 
     5416cat >conftest.$ac_ext <<_ACEOF 
     5417/* confdefs.h.  */ 
     5418_ACEOF 
     5419cat confdefs.h >>conftest.$ac_ext 
     5420cat >>conftest.$ac_ext <<_ACEOF 
     5421/* end confdefs.h.  */ 
     5422$ac_includes_default 
     5423#include <netinet/ip.h> 
     5424_ACEOF 
     5425rm -f conftest.$ac_objext 
     5426if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     5427  (eval $ac_compile) 2>conftest.er1 
     5428  ac_status=$? 
     5429  grep -v '^ *+' conftest.er1 >conftest.err 
     5430  rm -f conftest.er1 
     5431  cat conftest.err >&5 
     5432  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5433  (exit $ac_status); } && 
     5434         { ac_try='test -z "$ac_c_werror_flag" 
     5435                         || test ! -s conftest.err' 
     5436  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5437  (eval $ac_try) 2>&5 
     5438  ac_status=$? 
     5439  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5440  (exit $ac_status); }; } && 
     5441         { ac_try='test -s conftest.$ac_objext' 
     5442  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5443  (eval $ac_try) 2>&5 
     5444  ac_status=$? 
     5445  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5446  (exit $ac_status); }; }; then 
     5447  ac_header_compiler=yes 
     5448else 
     5449  echo "$as_me: failed program was:" >&5 
     5450sed 's/^/| /' conftest.$ac_ext >&5 
     5451 
     5452ac_header_compiler=no 
     5453fi 
     5454rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
     5455echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 
     5456echo "${ECHO_T}$ac_header_compiler" >&6 
     5457 
     5458# Is the header present? 
     5459echo "$as_me:$LINENO: checking netinet/ip.h presence" >&5 
     5460echo $ECHO_N "checking netinet/ip.h presence... $ECHO_C" >&6 
     5461cat >conftest.$ac_ext <<_ACEOF 
     5462/* confdefs.h.  */ 
     5463_ACEOF 
     5464cat confdefs.h >>conftest.$ac_ext 
     5465cat >>conftest.$ac_ext <<_ACEOF 
     5466/* end confdefs.h.  */ 
     5467#include <netinet/ip.h> 
     5468_ACEOF 
     5469if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     5470  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     5471  ac_status=$? 
     5472  grep -v '^ *+' conftest.er1 >conftest.err 
     5473  rm -f conftest.er1 
     5474  cat conftest.err >&5 
     5475  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5476  (exit $ac_status); } >/dev/null; then 
     5477  if test -s conftest.err; then 
     5478    ac_cpp_err=$ac_c_preproc_warn_flag 
     5479    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
     5480  else 
     5481    ac_cpp_err= 
     5482  fi 
     5483else 
     5484  ac_cpp_err=yes 
     5485fi 
     5486if test -z "$ac_cpp_err"; then 
     5487  ac_header_preproc=yes 
     5488else 
     5489  echo "$as_me: failed program was:" >&5 
     5490sed 's/^/| /' conftest.$ac_ext >&5 
     5491 
     5492  ac_header_preproc=no 
     5493fi 
     5494rm -f conftest.err conftest.$ac_ext 
     5495echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 
     5496echo "${ECHO_T}$ac_header_preproc" >&6 
     5497 
     5498# So?  What about this header? 
     5499case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in 
     5500  yes:no: ) 
     5501    { echo "$as_me:$LINENO: WARNING: netinet/ip.h: accepted by the compiler, rejected by the preprocessor!" >&5 
     5502echo "$as_me: WARNING: netinet/ip.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 
     5503    { echo "$as_me:$LINENO: WARNING: netinet/ip.h: proceeding with the compiler's result" >&5 
     5504echo "$as_me: WARNING: netinet/ip.h: proceeding with the compiler's result" >&2;} 
     5505    ac_header_preproc=yes 
     5506    ;; 
     5507  no:yes:* ) 
     5508    { echo "$as_me:$LINENO: WARNING: netinet/ip.h: present but cannot be compiled" >&5 
     5509echo "$as_me: WARNING: netinet/ip.h: present but cannot be compiled" >&2;} 
     5510    { echo "$as_me:$LINENO: WARNING: netinet/ip.h:     check for missing prerequisite headers?" >&5 
     5511echo "$as_me: WARNING: netinet/ip.h:     check for missing prerequisite headers?" >&2;} 
     5512    { echo "$as_me:$LINENO: WARNING: netinet/ip.h: see the Autoconf documentation" >&5 
     5513echo "$as_me: WARNING: netinet/ip.h: see the Autoconf documentation" >&2;} 
     5514    { echo "$as_me:$LINENO: WARNING: netinet/ip.h:     section \"Present But Cannot Be Compiled\"" >&5 
     5515echo "$as_me: WARNING: netinet/ip.h:     section \"Present But Cannot Be Compiled\"" >&2;} 
     5516    { echo "$as_me:$LINENO: WARNING: netinet/ip.h: proceeding with the preprocessor's result" >&5 
     5517echo "$as_me: WARNING: netinet/ip.h: proceeding with the preprocessor's result" >&2;} 
     5518    { echo "$as_me:$LINENO: WARNING: netinet/ip.h: in the future, the compiler will take precedence" >&5 
     5519echo "$as_me: WARNING: netinet/ip.h: in the future, the compiler will take precedence" >&2;} 
     5520    ( 
     5521      cat <<\_ASBOX 
     5522## ------------------------------------ ## 
     5523## Report this to the pjproject lists.  ## 
     5524## ------------------------------------ ## 
     5525_ASBOX 
     5526    ) | 
     5527      sed "s/^/$as_me: WARNING:     /" >&2 
     5528    ;; 
     5529esac 
     5530echo "$as_me:$LINENO: checking for netinet/ip.h" >&5 
     5531echo $ECHO_N "checking for netinet/ip.h... $ECHO_C" >&6 
     5532if test "${ac_cv_header_netinet_ip_h+set}" = set; then 
     5533  echo $ECHO_N "(cached) $ECHO_C" >&6 
     5534else 
     5535  ac_cv_header_netinet_ip_h=$ac_header_preproc 
     5536fi 
     5537echo "$as_me:$LINENO: result: $ac_cv_header_netinet_ip_h" >&5 
     5538echo "${ECHO_T}$ac_cv_header_netinet_ip_h" >&6 
     5539 
     5540fi 
     5541if test $ac_cv_header_netinet_ip_h = yes; then 
     5542  cat >>confdefs.h <<\_ACEOF 
     5543#define PJ_HAS_NETINET_IP_H 1 
    53995544_ACEOF 
    54005545 
Note: See TracChangeset for help on using the changeset viewer.